public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Sterrett" <mr_bones_@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-fps/ut2004-bonuspack-ece/
Date: Wed, 13 Jan 2016 04:57:08 +0000 (UTC)	[thread overview]
Message-ID: <1452660327.e4ea813345ac83d34be239f966b62d55ca032917.mr_bones_@gentoo> (raw)

commit:     e4ea813345ac83d34be239f966b62d55ca032917
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 12 23:51:30 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Wed Jan 13 04:45:27 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4ea8133

games-fps/ut2004-bonuspack-ece: EAPI=5; attempt at fixing bug #278002

Package-Manager: portage-2.2.26

 games-fps/ut2004-bonuspack-ece/Manifest            |  1 +
 .../ut2004-bonuspack-ece-1-r3.ebuild               | 45 +++++++++++++---------
 2 files changed, 27 insertions(+), 19 deletions(-)

diff --git a/games-fps/ut2004-bonuspack-ece/Manifest b/games-fps/ut2004-bonuspack-ece/Manifest
index 0070908..4dccfa1 100644
--- a/games-fps/ut2004-bonuspack-ece/Manifest
+++ b/games-fps/ut2004-bonuspack-ece/Manifest
@@ -1 +1,2 @@
+DIST UT2004-ONSBonusMapPack.zip 11018471 SHA256 b1c6e1fbf417381180fe02a81eb0cab752e6baa6b814c42fc7f69da11b02dd05 SHA512 8193375b89cd6fbc8b00de195797099c128fcf5cb73757bbc57d3c5350c497a878eaf0200f2e0711bf062e25c5d170e05b055c63f85b908b18dcc89572d71fd2 WHIRLPOOL 5600b1420124034983258b0843561164996e8c427ecfd04c6552f92585c09b0eb1be73360151ae0c9950cb28df7018d0287bfac86bae014c48e537a1135be42a
 DIST ut2004megapack-linux.tar.bz2 203124107 SHA256 b9122c8c405945d29c3cdf61f57fe4d21e886b79ea9caa0d8e0ca2e520aa472c SHA512 4ae5eec0622c2bd96dfc162541bc0771399b012fb00f022282bc8c34600cb8e9bb7c18a52dd55fbef6f16fedaf225e301c46077a6accd001f4c77ddad89ed17b WHIRLPOOL c7b995764c3b6e88673eba29ef77172441ca353eef0c3eaeea950bf52007a6656c87a19f2cbb074c70780cfa1f36cac8cf556327930445f6495d415d9fc26425

diff --git a/games-fps/ut2004-bonuspack-ece/ut2004-bonuspack-ece-1-r3.ebuild b/games-fps/ut2004-bonuspack-ece/ut2004-bonuspack-ece-1-r3.ebuild
index 16ebc3d..6e555ab 100644
--- a/games-fps/ut2004-bonuspack-ece/ut2004-bonuspack-ece-1-r3.ebuild
+++ b/games-fps/ut2004-bonuspack-ece/ut2004-bonuspack-ece-1-r3.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=2
+EAPI=5
 
 MOD_DESC="Editor's Choice Edition bonus pack"
 MOD_NAME="Editor's Choice Edition"
@@ -14,40 +14,47 @@ HOMEPAGE="http://www.unrealtournament2004.com/"
 SRC_URI="mirror://3dgamers/unrealtourn2k4/Missions/${MY_P}
 	http://0day.icculus.org/ut2004/${MY_P}
 	ftp://ftp.games.skynet.be/pub/misc/${MY_P}
-	http://sonic-lux.net/data/mirror/ut2004/${MY_P}"
+	http://sonic-lux.net/data/mirror/ut2004/${MY_P}
+	http://unrealmassdestruction.com/downloads/ut2k4/essentials/UT2004-ONSBonusMapPack.zip"
 
 LICENSE="ut2003"
 KEYWORDS="amd64 x86"
 IUSE=""
 
+src_unpack() {
+	unpack ${MY_P}
+	cd UT2004MegaPack/Maps || die
+	unpack UT2004-ONSBonusMapPack.zip # bug #278002
+}
+
 src_prepare() {
 	mv -f UT2004MegaPack/* . || die
-	rmdir UT2004MegaPack
+	rmdir UT2004MegaPack || die
 
-	rm -r Music Speech
+	rm -r Music Speech || die
 
 	# Remove megapack files which are not in ece
-	rm Animations/ONSNewTank-A.ukx
-	rm Help/ReadMePatch.int.txt
+	rm Animations/ONSNewTank-A.ukx || die
+	rm Help/ReadMePatch.int.txt || die
 	# Help/{DebuggerLogo.bmp,InstallerLogo.bmp,Unreal.ico,UnrealEd.ico}
 	# are not in megapack.
 	# Keep new Help/UT2004Logo.bmp
 	# Manual dir does not exist in megapack
-	rm Maps/{AS*,CTF*,DM*}
-	rm Sounds/A_Announcer_BP2.uax
-	rm StaticMeshes/{JumpShipObjects.usx,Ty_RocketSMeshes.usx}
-	rm System/{A*,b*,B*,CacheRecords.ucl}
-	rm System/{*.det,*.est,*.frt,*.itt,*.kot}
-	rm System/{CTF*,D*,Editor*,G*,I*,L*,ONS-Arc*,Onslaught.*,*.md5}
-	rm System/{u*,U*,V*,X*,Core.u,Engine.u,F*,*.ucl,Sk*}
-	rm Textures/{J*,j*,T*}
-	rm -r Web
+	rm Maps/{AS*,CTF*,DM*} || die
+	rm Sounds/A_Announcer_BP2.uax || die
+	rm StaticMeshes/{JumpShipObjects.usx,Ty_RocketSMeshes.usx} || die
+	rm System/{A*,b*,B*,CacheRecords.ucl} || die
+	rm System/{*.det,*.est,*.frt,*.itt,*.kot} || die
+	rm System/{CTF*,D*,Editor*,G*,I*,L*,Onslaught.*,*.md5} || die
+	rm System/{u*,U*,V*,X*,Core.u,Engine.u,F*,*.ucl,Sk*} || die
+	rm Textures/{J*,j*,T*} || die
+	rm -r Web || die
 
 	# The file lists of ut2004-3369-r1 and -r2 are identical
 	# Remove files owned by ut2004-3369-r2
-	rm Help/UT2004Logo.bmp
+	rm Help/UT2004Logo.bmp || die
 	# The 2 Manifest files have not changed
-	rm System/{Manifest.in{i,t},OnslaughtFull.int}
-	rm System/{Core.int,Engine.int,Setup.int,Window.int}
-	rm System/{OnslaughtFull.u,OnslaughtBP.u}
+	rm System/{Manifest.in{i,t},OnslaughtFull.int} || die
+	rm System/{Core.int,Engine.int,Setup.int,Window.int} || die
+	rm System/{OnslaughtFull.u,OnslaughtBP.u} || die
 }


             reply	other threads:[~2016-01-13  4:57 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-13  4:57 Michael Sterrett [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-02-11 22:01 [gentoo-commits] repo/gentoo:master commit in: games-fps/ut2004-bonuspack-ece/ James Le Cuirot
2019-10-27 23:49 James Le Cuirot
2021-04-18  6:31 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1452660327.e4ea813345ac83d34be239f966b62d55ca032917.mr_bones_@gentoo \
    --to=mr_bones_@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox